# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MMenu

Packages that use MMenu
Package
Description
org.eclipse.e4.ui.model.application.descriptor.basic
Application programming interfaces describing the Eclipse 4 descriptor model elements.
org.eclipse.e4.ui.model.application.ui.basic
Application programming interfaces describing the basic Eclipse 4 user interface model elements.
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.

## Uses of MMenu in org.eclipse.e4.ui.model.application.descriptor.basic

Methods in org.eclipse.e4.ui.model.application.descriptor.basic that return types with arguments of type MMenu
Modifier and Type
Method
Description
`List<MMenu>`
MPartDescriptor.`getMenus()`
Returns the value of the 'Menus' containment reference list.

## Uses of MMenu in org.eclipse.e4.ui.model.application.ui.basic

Methods in org.eclipse.e4.ui.model.application.ui.basic that return MMenu
Modifier and Type
Method
Description
`MMenu`
MWindow.`getMainMenu()`
Returns the value of the 'Main Menu' containment reference.
Methods in org.eclipse.e4.ui.model.application.ui.basic that return types with arguments of type MMenu
Modifier and Type
Method
Description
`List<MMenu>`
MPart.`getMenus()`
Returns the value of the 'Menus' containment reference list.
Methods in org.eclipse.e4.ui.model.application.ui.basic with parameters of type MMenu
Modifier and Type
Method
Description
`void`
MWindow.`setMainMenu(MMenu value)`
Sets the value of the '`Main Menu`' containment reference.

## Uses of MMenu in org.eclipse.e4.ui.model.application.ui.menu

Subinterfaces of MMenu in org.eclipse.e4.ui.model.application.ui.menu
Modifier and Type
Interface
Description
`interface`
`MPopupMenu`
A representation of the model object 'Popup Menu'.
Methods in org.eclipse.e4.ui.model.application.ui.menu that return MMenu
Modifier and Type
Method
Description
`MMenu`
MMenuFactory.`createMenu()`
Returns a new object of class 'Menu'.
`MMenu`
MToolItem.`getMenu()`
Returns the value of the 'Menu' containment reference.
Methods in org.eclipse.e4.ui.model.application.ui.menu with parameters of type MMenu
Modifier and Type
Method
Description
`void`
MToolItem.`setMenu(MMenu value)`
Sets the value of the '`Menu`' containment reference.